#ifndef FORMATTEDTEXT_H
#define FORMATTEDTEXT_H

#include <stdint.h>
#include "SDL.h"

#include "Input.h"

#include <string>
using namespace std;

class FormattedText {
 public:
  FormattedText ();
  ~FormattedText ();

  void setText (const string & a);
  const string & getText ();

  void setColorIndex (uint8_t);
  uint8_t getColorIndex ();

  void setHelpIndex (const string &);
  const string & getHelpIndex ();

  void setNewline (bool);
  bool getNewline ();

  void setPosition (uint16_t a, uint16_t b);
  uint16_t getX();
  uint16_t getY();

  void setDimensions (int a, int b);
  int getWidth();
  int getHeight();

  void clear();

 private:
  uint16_t x, y;
  int w, h;
  string s;
  uint8_t colorIndex;
  string helpIndexIfClicked;
  bool newlineAfter; //Text should have a newline after this FormattedText
};

#endif
